Public Attributes | List of all members
hts_init_t Struct Reference
BLE Services » Health Thermometer Service (HTS) » Structures

Health Thermometer Service init stucture. More...

`#include <hts.h>`

Collaboration diagram for hts_init_t:
[legend]

## Public Attributes
hts_evt_handler_t | evt_handler
| Health Thermometer Service event handler. More...
uint16_t | char_mask
| Initial mask of Supported characteristics, and configured with Characteristics Mask. More...
hts_temp_unit_t | temperature_units
| Initial if Temperature is in Fahrenheit unit, Celcius otherwise. More...
bool | time_stamp_present
| Initial if Time Stamp is present. More...
hts_temp_meas_loc_t | temp_type
| Initial temperature type measurement location. More...
uint16_t | meas_interval
| Initial temperature measurement interval. More...
uint16_t | min_meas_interval_sup
| Initial minimum temperature measurement interval support. More...
uint16_t | max_meas_interval_sup
| Initial maximum temperature measurement interval support. More...

## Detailed Description

Health Thermometer Service init stucture.

This contains all option and data needed for initialization of the service.

Definition at line 204 of file hts.h.

## Member Data Documentation

## ◆ char_mask

uint16_t hts_init_t::char_mask

Initial mask of Supported characteristics, and configured with Characteristics Mask.

Definition at line 207 of file hts.h.

## ◆ evt_handler

hts_evt_handler_t hts_init_t::evt_handler

Health Thermometer Service event handler.

Definition at line 206 of file hts.h.

## ◆ max_meas_interval_sup

uint16_t hts_init_t::max_meas_interval_sup

Initial maximum temperature measurement interval support.

Definition at line 213 of file hts.h.

## ◆ meas_interval

uint16_t hts_init_t::meas_interval

Initial temperature measurement interval.

Definition at line 211 of file hts.h.

## ◆ min_meas_interval_sup

uint16_t hts_init_t::min_meas_interval_sup

Initial minimum temperature measurement interval support.

Definition at line 212 of file hts.h.

## ◆ temp_type

hts_temp_meas_loc_t hts_init_t::temp_type

Initial temperature type measurement location.

Definition at line 210 of file hts.h.

## ◆ temperature_units

hts_temp_unit_t hts_init_t::temperature_units

Initial if Temperature is in Fahrenheit unit, Celcius otherwise.

Definition at line 208 of file hts.h.

## ◆ time_stamp_present

bool hts_init_t::time_stamp_present

Initial if Time Stamp is present.

Definition at line 209 of file hts.h.

The documentation for this struct was generated from the following file:

- hts.h